class Api::V1::UsersController < Api::AuthenticatedApiController
  skip_before_action :authenticate_user!, only: [ :auth]

  def auth
    unless user_signed_in?
      render json: { success: false }
      return
    end

    render json: { success: true, user: current_user.json_payload}
  end

end
