class PullEventMarketsJob < ApplicationJob
  queue_as :medium

  def perform(args = {})
    ea = ExchangeAccount.find_by(id: ENV['BETFAIR_HUNTER_ACCOUNT'])
    raise 'No Betfair hunter account' unless ea

    hunter = Integrations::Betfair::OpportunityHunter.new(ea)
    hunter.event_markets_and_selections #refresh the markets to include
  end
end
