class BetfairEventRunner < ApplicationRecord
  belongs_to :betfair_event, foreign_key: :event_id
  has_many :betfair_runner_odds, dependent: :delete_all

  scope :runners_for_open_events, -> { joins("INNER JOIN betfair_events ON betfair_event_runners.event_id = betfair_events.event_id").where(betfair_events: { status: 'open' }) }
end
