# == Schema Information
#
# Table name: tip_source_data
#
#  id            :uuid             not null, primary key
#  tip_source_id :uuid
#  data          :jsonb
#  created_at    :datetime         not null
#  updated_at    :datetime         not null
#
class TipSourceData < ApplicationRecord
  include Latest
  belongs_to :tip_source, dependent: :delete
  has_many :source_subscriptions
end
