export const primaryLinks = [
  {
    linkName: 'dashboard',
    iconName: 'tachometer-alt',
  },
];

const controlStyle = {
  paddingLeft: 15,
  backgroundColor: '#6D7E8F',
  color: '#fff',
  boxShadow: 'none',
  border: 'none',
};

const commonStyles = {
  placeholder: provided => ({
    ...provided,
    color: '#ffffff',
  }),
  input: (provided, st) => ({
    ...provided,
    color: '#fff',
  }),
  singleValue: provided => ({
    ...provided,
    color: '#ffffff',
  }),
  option: (provided, state) => ({
    ...provided,
    backgroundColor: state.isSelected ? '#57B8D7' : '#1f252b',
    color: '#ffffff',
    paddingLeft: 20,
    fontSize: 14,
  }),
  menu: provided => ({
    ...provided,
    backgroundColor: '#1f252b',
    borderRadius: 15,
    overflow: 'hidden',
    padding: 0,
  }),
};

export const customStylesAlt = {
  ...commonStyles,
  control: (provided, st) => ({
    ...provided,
    ...controlStyle,
    borderRadius: '30px 0px 0px 30px',
  }),
};

export const customStyles = {
  ...commonStyles,
  control: (provided, st) => ({
    ...provided,
    ...controlStyle,
    borderRadius: 30,
  }),
};
