# == Schema Information
#
# Table name: subscription_runs
#
#  id                     :uuid             not null, primary key
#  source_subscription_id :uuid
#  tip_source_data_id     :uuid
#  log                    :jsonb
#  created_at             :datetime         not null
#  updated_at             :datetime         not null
#
class SubscriptionRun < ApplicationRecord
  include Loggable
  include Latest
  belongs_to :tip_source_data
  belongs_to :source_subscription
end
