# == Schema Information
#
# Table name: tipster_accounts
#
#  id            :string           not null, primary key
#  tipster_name  :string           not null
#  apikey        :string           not null
#  filter_ids    :string           not null
#  contact_name  :string           not null
#  contact_email :string           not null
#  created_at    :datetime         not null
#  updated_at    :datetime         not null
#
class TipsterAccount < ApplicationRecord
  has_many :tip_sources
  has_many :tip_source_data, through: :tip_sources, class_name: 'TipSourceData'
  has_many :tip_source_data_processing_runs, through: :tip_source_data
end
