import { makeAutoObservable } from 'mobx';

import AppStore from './stores/app_store';
import UserStore from './stores/user_store';
import BetStore from './stores/bet_store';

export default class RootStore {
  constructor() {
    this.appStore = new AppStore(this);
    this.userStore = new UserStore(this);
    this.betStore = new BetStore(this);

    makeAutoObservable(this);
  }
}
